API ReferenceEnvironments
Retrieve environments
GET
Retrieves a list of all available environments.
Analytics Events
ENVIRONMENT_RETRIEVE_LIST_STARTENVIRONMENT_RETRIEVE_LIST_SUCCESSENVIRONMENT_RETRIEVE_LIST_FAIL
bearerAuthheader
AuthorizationBearer <token>limit?numberRange size of returned list.
Range
1 <= value <= 1000Default
100cursor?stringStarting point for the list of entries.
A list of environments
application/json- response
data*array<>nextCursor?nextCursorStarting point for next cursor to use in a paginated list.
curl -X GET "https://example.com/v1/environments"{ "data": [ { "id": "fa605282-0223-4ae0-831d-af368bc39a55", "name": "MATTR Public Sydney, Australia", "domain": "vii.au01.mattr.global", "authorizationServerDomain": "manage.auth.auth0.com", "deploymentModel": "public", "region": { "id": "70bb433a-f0ec-4297-ad76-3b09c71311f3", "name": "AU01", "displayName": "Sydney, Australia" } } ], "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"}How would you rate this page?
Retrieve security settings GET
Retrieves the current security settings for MATTR portal authentication. <Callout> This endpoint is part of SaaS Security Posture Management (SSPM) support, an add-on feature that is currently available only for dedicated cloud deployments. It is only available when SSPM support is enabled in your environment. Contact us if you would like to enable it. </Callout>
Create tenant POST
Creates a new tenant in the requested environment.